package cn.com.countrygarden.bi.main.dao.dup;

import cn.com.countrygarden.bi.main.core.Mapper;
import cn.com.countrygarden.bi.main.dto.ManagerMapOrganTreeDTO;
import cn.com.countrygarden.bi.main.model.dup.FenghuangCollectionrate;
import cn.com.countrygarden.bi.main.model.dup.ManagerData;
import com.github.pagehelper.PageRowBounds;
import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Repository;

import javax.transaction.Transactional;
import java.util.List;
import java.util.Map;

@Repository
@Transactional
public interface ManagerDataMapper extends Mapper<ManagerData> {
    List<ManagerData> fincByDate(Map<String,Object> map, PageRowBounds pageRowBounds);
    List<ManagerData> sumByDate(Map<String,Object> map);
    List<ManagerData> lastDataListDTO(@Param("setName") List<String> setName,@Param("organCode") String organCode,
    		@Param("commId") String commId,@Param("status") String status,@Param("beginDate") String beginDate,@Param("endDate") String endDate);
    
    List<ManagerMapOrganTreeDTO> psndoc();
    
    int insertfenghuangcollectionrate(FenghuangCollectionrate formatter);
    
    int updatefenghuangmanager();
    
    List<ManagerData> fincByDatelist(@Param("userId") String userId,@Param("collectionrateTime") String collectionrateTime);

    List<ManagerData> fincByLastMonth(Map<String, Object> queryMap, PageRowBounds pageRowBounds);
}